%if 0%{?suse_version}
%define daemon_group www
%define phpdir /usr/share/php5
%else
%define daemon_group apache
%define phpdir /usr/share/php
%endif

Summary: op5 Licensing package
Name: op5license
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/system-addons
License: op5 Software License
Prefix: /opt/op5sys
Source: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: op5-default, op5common, openssl
Requires: php-op5license
BuildRequires: monitor-ninja-devel

%description
This package installs the ninja interface for op5license

%package test
Summary: Test files for op5license
Group: op5/system-addons
Requires: op5license
Requires: monitor-ninja
# for mocking through cucumber:
Requires: monitor-ninja-test
Requires: php-phpunit-PHPUnit
%if 0%{?rhel} >= 7
Requires: ruby
Requires: ruby-devel
%else
Requires: rubygem20-op5cucumber
Requires: ruby20
Requires: ruby20-devel
%endif

%description test
Cucumber tests for op5license

%prep
%setup -q

%build
make

%install
rm -rf %buildroot
mkdir -p  %buildroot/etc/op5license
mkdir -p %buildroot/opt/monitor/op5/ninja/modules
cp -a license %buildroot/opt/monitor/op5/ninja/modules/license

%files
%defattr(-,root,root)
/opt/monitor/op5/ninja/modules/license
%attr(775, root, %daemon_group) /etc/op5license

%files test
/opt/monitor/op5/ninja/modules/license/libraries/MockOp5License.php

%clean
rm -rf %buildroot


%changelog
* Mon Sep 17 2007 Peter Ostlin <peter.ostlin@op5.com>
- Initial creation
